<?php
/**
 * @name		Menu Manager CK
 * @package		com_menumanagerck
 * @copyright	Copyright (C) 2014. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */

defined('_JEXEC') or die;
jimport('joomla.application.component.modellist');
require_once (JPATH_ROOT.'/administrator/components/com_menumanagerck/models/custom.php');
require_once (JPATH_ADMINISTRATOR.'/components/com_users/models/users.php');

class MenumanagerckModelCustomflexicontentauthor extends MenumanagerckModelCustom
{
	protected $context = 'com_menumanagerck.customflexicontentauthor';

	public $pagination;
	
	private $model;

	public function __construct($config = array())
	{
		if (empty($config['filter_fields'])) {
			$config['filter_fields'] = array(
				'id', 'a.id',
				'name', 'a.name',
				'username', 'a.username',
				'email', 'a.email',
				'block', 'a.block',
				'sendEmail', 'a.sendEmail',
				'registerDate', 'a.registerDate',
				'lastvisitDate', 'a.lastvisitDate',
				'activation', 'a.activation',
				'active',
				'group_id',
				'range',
				'state',
			);
		}

		$this->model = JModelLegacy::getInstance('Users', 'UsersModel');

		parent::__construct($config);
	}

	public function showSearchBar()
	{
		return true;
	}

	// public function getCustomColumn()
	// {
		// return Array('title' => null, 'tag' => null, 'sort' => null);
	// }
	
	// public function getOrderingColumn()
	// {
		// return Array('title' => JText::_('JGRID_HEADING_ORDERING'), 'tag' => 'lft', 'sort' => 'a.lft');
	// }

	public function getCustomFilters()
	{
		$app = JFactory::getApplication();
		$customfilters = '';

		// Levels filter.
		$options	= array();
		$options[]	= JHtml::_('select.option', '1', JText::_('J1'));
		$options[]	= JHtml::_('select.option', '2', JText::_('J2'));
		$options[]	= JHtml::_('select.option', '3', JText::_('J3'));
		$options[]	= JHtml::_('select.option', '4', JText::_('J4'));
		$options[]	= JHtml::_('select.option', '5', JText::_('J5'));
		$options[]	= JHtml::_('select.option', '6', JText::_('J6'));
		$options[]	= JHtml::_('select.option', '7', JText::_('J7'));
		$options[]	= JHtml::_('select.option', '8', JText::_('J8'));
		$options[]	= JHtml::_('select.option', '9', JText::_('J9'));
		$options[]	= JHtml::_('select.option', '10', JText::_('J10'));

		$this->f_levels = $options;
		
		$customfilters = '<div class="filter-select fltrt">
			<select name="filter_level" class="inputbox" onchange="this.form.submit()">
				<option value="">'. JText::_('JOPTION_SELECT_MAX_LEVELS').'</option>
				'. JHtml::_('select.options', $this->f_levels, 'value', 'text', $this->state->get('filter.level')).'
			</select>

			<select name="filter_published" class="inputbox" onchange="this.form.submit()">
				<option value="">'. JText::_('JOPTION_SELECT_PUBLISHED').'</option>
				'. JHtml::_('select.options', JHtml::_('jgrid.publishedOptions'), 'value', 'text', $this->state->get('filter.published'), true).'
			</select>

            <select name="filter_access" class="inputbox" onchange="this.form.submit()">
				<option value="">'. JText::_('JOPTION_SELECT_ACCESS').'</option>
				'. JHtml::_('select.options', JHtml::_('access.assetgroups'), 'value', 'text', $this->state->get('filter.access')).'
			</select>

			<select name="filter_language" class="inputbox" onchange="this.form.submit()">
				<option value="">'. JText::_('JOPTION_SELECT_LANGUAGE').'</option>
				'. JHtml::_('select.options', JHtml::_('contentlanguage.existing', true, true), 'value', 'text', $this->state->get('filter.language')).'
			</select>
		</div>';

		return $customfilters;
	}
	
	// public function getItems()
	// {
		// $categories = $this->listing();
		// $categories = JModelLegacy::getInstance('Categories', 'CategoriesModel', array('ignore_request' => true));
		// return( $categories->getItems() );
	// }
	
	public function getObjectAssociation() {
		$names = new stdClass();
		$names->title = 'name';
		$names->level = 'level';
		$names->language = 'language';
		$names->id = 'id';

		return $names;
	}

	/**
	 * Method to get model state variables
	 *
	 * @param   string  $property  Optional parameter name
	 * @param   mixed   $default   Optional default value
	 *
	 * @return  object  The property where specified, the state object where omitted
	 *
	 * @since   12.2
	 */
	public function getState($property = null, $default = null)
	{
		$this->populateState();

		return $property === null ? $this->state : $this->state->get($property, $default);
	}
	
	/**
	 * Method to auto-populate the model state.
	 *
	 * Note. Calling getState in this method will result in recursion.
	 *
	 * @param   string  $ordering   An optional ordering field.
	 * @param   string  $direction  An optional direction (asc|desc).
	 *
	 * @return  void
	 *
	 * @since   1.6
	 */
	protected function populateState($ordering = null, $direction = null)
	{
		$this->model->populateState($ordering, $direction);
	}
	
	/**
	 * Method to get a store id based on model configuration state.
	 *
	 * This is necessary because the model is used by the component and
	 * different modules that might need different sets of data or different
	 * ordering requirements.
	 *
	 * @param   string  $id  A prefix for the store id.
	 *
	 * @return  string  A store id.
	 *
	 * @since   1.6
	 */
	protected function getStoreId($id = '')
	{

		return $this->model->getStoreId($id);
	}
	
	/**
	 * Method to get a JPagination object for the data set.
	 *
	 * @return  JPagination  A JPagination object for the data set.
	 *
	 * @since   12.2
	 */
	public function getPagination()
	{
		return parent::getPagination();
	}
	
	/**
	 * @return	string
	 * @since	1.6
	 */
	function getListQuery()
	{
		return $this->model->getListQuery();
	}
}
